<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Hello World</title>
    <link th:rel="stylesheet" th:href="@{/webjars/bootstrap/css/bootstrap.min.css} "/>
    <script defer th:src="@{/webjars/bootstrap/js/bootstrap.bundle.min.js}"></script>
</head>
<body>
<div class="container">
    <h1>Shop</h1>
    <ul th:if="${session.shoppingCart!=null}">
        <li th:each="product : ${session.shoppingCart.productList}" th:text="${product.name}"></li>
    </ul>
    <form method="post">
        <label for="name">Add product:</label>
        <input type="text" name="name" id="name"/>
        <button type="submit">Add</button>
    </form>
</div>
</body>
</html>